/*
 * Copyright (c) 2013 Cisco Systems, Inc. and others.  All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/epl-v10.html
 */
package org.opendaylight.yangtools.yang.data.api.schema.builder;

import com.google.common.annotations.Beta;
import java.util.Collection;
import org.eclipse.jdt.annotation.NonNull;
import org.opendaylight.yangtools.yang.data.api.YangInstanceIdentifier.NodeIdentifier;
import org.opendaylight.yangtools.yang.data.api.YangInstanceIdentifier.PathArgument;
import org.opendaylight.yangtools.yang.data.api.schema.NormalizedNode;

@Beta
public interface CollectionNodeBuilder<V extends NormalizedNode, R extends NormalizedNode>
        extends NormalizedNodeContainerBuilder<NodeIdentifier, PathArgument, V, R> {

    @Override
    CollectionNodeBuilder<V, R> withValue(Collection<V> value);

    @Override
    CollectionNodeBuilder<V, R> withNodeIdentifier(NodeIdentifier nodeIdentifier);

    @NonNull CollectionNodeBuilder<V, R> withChild(V child);

    @NonNull CollectionNodeBuilder<V, R> withoutChild(PathArgument key);
}
