/*
 * Copyright (c) 2015 Cisco Systems, Inc. and others.  All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/epl-v10.html
 */
package org.opendaylight.yangtools.yang2sources.plugin;

import com.google.common.io.ByteSource;

abstract class YangSourceFromDependency extends ByteSource {

    /**
     * Return a description for this dependency, to be used for error output when
     * working with the dependency.
     */
    abstract String getDescription();

    @Override
    public final String toString() {
        return getDescription();
    }

}
